Paho MQTT C Client Library: MQTTClient_willOptions Struct Reference

| Paho MQTT C Client Library

Loading...
Searching...
No Matches
Data Fields
MQTTClient_willOptions Struct Reference

`#include <MQTTClient.h>`

## Data Fields
char | struct_id [4]
int | struct_version
const char * | topicName
const char * | message
int | retained
int | qos
struct { |
int len |
const void * data |
} | payload

## Detailed Description

MQTTClient_willOptions defines the MQTT "Last Will and Testament" (LWT) settings for the client. In the event that a client unexpectedly loses its connection to the server, the server publishes the LWT message to the LWT topic on behalf of the client. This allows other clients (subscribed to the LWT topic) to be made aware that the client has disconnected. To enable the LWT function for a specific client, a valid pointer to an MQTTClient_willOptions structure is passed in the MQTTClient_connectOptions structure used in the MQTTClient_connect() call that connects the client to the server. The pointer to MQTTClient_willOptions can be set to NULL if the LWT function is not required.

## Field Documentation

## ◆ struct_id

char struct_id[4]

The eyecatcher for this structure. must be MQTW.

## ◆ struct_version

int struct_version

The version number of this structure. Must be 0 or 1 0 means there is no binary payload option

## ◆ topicName

const char* topicName

The LWT topic to which the LWT message will be published.

## ◆ message

const char* message

The LWT payload in string form.

## ◆ retained

int retained

The retained flag for the LWT message (see MQTTClient_message.retained).

## ◆ qos

int qos

The quality of service setting for the LWT message (see MQTTClient_message.qos and Quality of service).

## ◆ len

int len

binary payload length

## ◆ data

const void* data

binary payload data

## ◆ [struct]

struct { ... } payload

The LWT payload in binary form. This is only checked and used if the message option is NULL

The documentation for this struct was generated from the following file:

- MQTTClient.h